跳至主要內容

技能閘道

LiteLLM 可作為 技能註冊中心 — 一個集中註冊、管理與探索整個組織內 Claude Code 技能的地方。團隊可以一次發布技能,讓代理程式與開發者透過單一入口找到它們。

運作方式

快速開始

1. 註冊技能

將任何 GitHub URL 貼到 Skills UI 中 — LiteLLM 會自動偵測來源類型與技能名稱。

curl -X POST https://your-proxy/claude-code/plugins \
-H "Authorization: Bearer $LITELLM_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "grill-me",
"source": {
"source": "git-subdir",
"url": "https://github.com/mattpocock/skills",
"path": "grill-me"
},
"description": "Interview skill for relentless questioning",
"domain": "Productivity",
"namespace": "interviews"
}'

巢狀於子目錄中的技能(例如 github.com/org/repo/tree/main/skill-name)也受到支援 — LiteLLM 會在 UI 中自動剖析 URL。

2. 發布到 hub

在 Admin UI 中:AI Hub → Skill Hub → Select Skills to Make Public

或透過 API:

curl -X POST https://your-proxy/claude-code/plugins/grill-me/enable \
-H "Authorization: Bearer $LITELLM_KEY"

3. 瀏覽 hub

公開技能會出現在:

  • Admin UI:AI Hub → Skill Hub 分頁
  • 公開頁面/ui/model_hub → Skill Hub 分頁(不需要登入)
  • APIGET /public/skill_hub

4. 在 Claude Code 中安裝

先將 Claude Code 指向您的 proxy marketplace 一次:

~/.claude/settings.json
{
"extraKnownMarketplaces": {
"my-org": {
"source": "url",
"url": "https://your-proxy/claude-code/marketplace.json"
}
}
}

接著安裝任何技能:

/plugin marketplace add grill-me

技能欄位

欄位說明
name唯一技能識別碼(用於 /plugin marketplace add
sourceGit 來源 — githuburlgit-subdir
description顯示於 hub 的簡短說明
domain用於分組的類別(例如 EngineeringProductivity
namespace領域內的子類別(例如 qualitymeetings
keywords用於搜尋與篩選的標籤
versionSemver 字串

API 參考

端點驗證說明
POST /claude-code/plugins必要註冊技能
GET /claude-code/plugins必要列出所有技能(管理員)
POST /claude-code/plugins/{name}/enable必要發布技能
POST /claude-code/plugins/{name}/disable必要取消發布技能
GET /public/skill_hub列出公開技能
GET /claude-code/marketplace.jsonClaude Code marketplace 資訊清單
🚅
LiteLLM Enterprise
為正式環境打造的 SSO/SAML、稽核記錄、支出追蹤、多團隊管理與防護欄。
深入瞭解 →